[-]
[+]
|
Added |
Pound.spec
|
|
[-]
[+]
|
Added |
pound-remove-owner.patch
^
|
@@ -0,0 +1,18 @@
+--- Pound-2.2.3/Makefile.in.remove-owner 2007-01-21 01:45:44.000000000 +0100
++++ Pound-2.2.3/Makefile.in 2007-01-21 01:46:59.000000000 +0100
+@@ -50,11 +50,11 @@
+
+ install: all
+ @INSTALL@ -d ${DESTDIR}@sbindir@
+- @INSTALL@ -o @I_OWNER@ -g @I_GRP@ -m 555 pound ${DESTDIR}@sbindir@/pound
+- @INSTALL@ -o @I_OWNER@ -g @I_GRP@ -m 555 poundctl ${DESTDIR}@sbindir@/poundctl
++ @INSTALL@ -p -m 755 pound ${DESTDIR}@sbindir@/pound
++ @INSTALL@ -p -m 755 poundctl ${DESTDIR}@sbindir@/poundctl
+ @INSTALL@ -d ${DESTDIR}@mandir@/man8
+- @INSTALL@ -o @I_OWNER@ -g @I_GRP@ -m 644 pound.8 ${DESTDIR}@mandir@/man8/pound.8
+- @INSTALL@ -o @I_OWNER@ -g @I_GRP@ -m 644 poundctl.8 ${DESTDIR}@mandir@/man8/poundctl.8
++ @INSTALL@ -p -m 644 pound.8 ${DESTDIR}@mandir@/man8/pound.8
++ @INSTALL@ -p -m 644 poundctl.8 ${DESTDIR}@mandir@/man8/poundctl.8
+
+ clean:
+ rm -f pound $(OBJS) poundctl poundctl.o
|
|
Added |
Pound-2.4.5.tgz
^
|
|
Added |
Pound-2.5.tgz
^
|
[-]
[+]
|
Added |
pound.init
^
|
@@ -0,0 +1,62 @@
+#!/bin/bash
+#
+# pound This shell script starts the Pound load-balancer
+#
+# Author: Ruben Kerkhof <ruben@rubenkerkhof.com>
+#
+# chkconfig: - 85 15
+#
+# description: Pound is a reverse proxy and load-balancer
+# processname: pound
+# config: /etc/pound.cfg
+# pidfile: /var/run/pound.pid
+#
+
+# source function library
+. /etc/rc.d/init.d/functions
+
+RETVAL=0
+
+start() {
+ echo -n $"Starting Pound: "
+ daemon pound
+ RETVAL=$?
+ echo
+ [ $RETVAL -eq 0 ] && touch /var/lock/subsys/pound
+}
+
+stop() {
+ echo -n $"Stopping Pound: "
+ killproc pound
+ echo
+ [ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/pound
+}
+
+restart() {
+ stop
+ start
+}
+
+case "$1" in
+ start)
+ start
+ ;;
+ stop)
+ stop
+ ;;
+ restart|force-reload|reload)
+ restart
+ ;;
+ condrestart)
+ [ -f /var/lock/subsys/pound ] && restart
+ ;;
+ status)
+ status pound
+ RETVAL=$?
+ ;;
+ *)
+ echo $"Usage: $0 {start|stop|status|restart|reload|force-reload|condrestart}"
+ exit 1
+esac
+
+exit $RETVAL
|